Bug 218774 - security=ads broken, update to 3.0.23d
security=ads broken, update to 3.0.23d
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
: 287531 (view as bug list)
Depends On: 217293 238757
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-07 09:36 EST by David L. Parsley
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHEA-2007-0638
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:10:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suitable patch for current src.rpm. (650 bytes, patch)
2006-12-07 09:36 EST, David L. Parsley
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 4095 None None None Never

  None (edit)
Description David L. Parsley 2006-12-07 09:36:30 EST
+++ This bug was initially created as a clone of Bug #217293 +++
***ORIGINAL BUG TEXT***
Description of problem:
SPNEGO will fail when using a 3.0.23c server in an AD domain. The bug is known
and fixed in 3.0.23d:

https://bugzilla.samba.org/show_bug.cgi?id=4095

I can confirm that applying the patch from that report solves the problem. An
update to 3.0.23d might still be preferrable, because it fixes several bugs more
as well.

Version-Release number of selected component (if applicable):
3.0.23c-2
***END ORIGINAL BUG TEXT***
I've added a RHEL5b2 box to our AD domain, and have the same issue; users can't
connect, and I find NT_STATUS_NO_SUCH_USER in the logs.  I created and attached
a proper patch, but I can't easily get an installable build on rhel5b2 x86_64. 
When I get time I'll test on i686.
Comment 1 David L. Parsley 2006-12-07 09:36:30 EST
Created attachment 143054 [details]
Suitable patch for current src.rpm.
Comment 2 RHEL Product and Program Management 2006-12-07 18:00:16 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 9 Simo Sorce 2007-09-12 09:13:08 EDT
*** Bug 287531 has been marked as a duplicate of this bug. ***
Comment 10 errata-xmlrpc 2007-11-07 14:10:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0638.html

Note You need to log in before you can comment on or make changes to this bug.